## check-patroni 1.0.0

=== vagrant/Makefile ===
export VAGRANT_BOX_UPDATE_CHECK_DISABLE=1
export VAGRANT_CHECKPOINT_DISABLE=1

.PHONY: all prov validate

all: prov

prov:
	vagrant up --provision

clean:
	vagrant destroy -f

validate:
	@vagrant validate
	@if which shellcheck >/dev/null                                          ;\
	then shellcheck provision/*                                              ;\
	else echo "WARNING: shellcheck is not in PATH, not checking bash syntax" ;\
	fi

=== debian/changelog ===
check-patroni (1.0.0-1) unstable; urgency=medium

  * Initial release, initiated by py2dsp/3.20230219

 -- David Prévot <taffit@debian.org>  Wed, 06 Sep 2023 14:26:10 +0530

=== debian/control ===
Source: check-patroni
Section: utils
Priority: optional
Maintainer: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               help2man,
               pybuild-plugin-pyproject,
               python3-all,
               python3-attr,
               python3-click,
               python3-nagiosplugin,
               python3-pytest-mock,
               python3-requests,
               python3-setuptools
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/dalibo/check_patroni
Vcs-Git: https://salsa.debian.org/debian/check-patroni.git
Vcs-Browser: https://salsa.debian.org/debian/check-patroni
Rules-Requires-Root: no

Package: check-patroni
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Nagios plugin to check on patroni
 A nagios plugin for patroni that checks presence of leader, replicas,
 and node counts, and also checks each node for replication status.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=check-patroni
%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_installman:
	mkdir --parent $(CURDIR)/debian/tmp
	PYTHONPATH=debian/check-patroni/usr/lib/python3.11/dist-packages \
		help2man \
		--no-info \
		--include=$(CURDIR)/debian/check_patroni.1.in \
		debian/check-patroni/usr/bin/check_patroni \
		> $(CURDIR)/debian/tmp/check_patroni.1

## check-patroni 2.0.0

=== debian/changelog ===
check-patroni (2.0.0-2.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 12 Jun 2024 13:05:47 +0000

check-patroni (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Fix hardcoding of python version in help2man call.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Jun 2024 13:05:47 +0000

check-patroni (2.0.0-1) unstable; urgency=medium

  [ benoit ]
  * cluster_has_replica: fix the way a healthy replica is detected
  * Fix the cluster_has_leader service for standby clusters
  * Fix cluster_node_count's management of replication states
  * Fix cluster_has_leader in archive recovery tests
  * Release V2.0.0 (Closes: #1053548)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Sun, 14 Apr 2024 09:34:48 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pytest-mock,
                python3-requests,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/dalibo/check_patroni
 Vcs-Git: https://salsa.debian.org/debian/check-patroni.git

## check-patroni 2.2.0

=== debian/changelog ===
check-patroni (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Set Vcs location to https://salsa.debian.org/debian/check-patroni.

 -- Christoph Berg <myon@debian.org>  Thu, 17 Apr 2025 22:35:14 +0200

check-patroni (2.2.0-1) unstable; urgency=medium

  [ benoit ]
  * Update check_patroni for patroni 4.0.0
  * cluster_has_replica: account for standby leaders
  * Update documentation for node_is_alive
  * Update cluster_node_count to account for the quorum_standby state
  * Update cluster_has_replica to account for the quorum_standby state
  * Update node_is_replica to account for the quorum_standby state
  * Release V2.2.0

  [ David Prévot ]
  * Team maintenance with PostgreSQL Maintainers
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Thu, 10 Apr 2025 08:32:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: check-patroni
 Section: utils
 Priority: optional
-Maintainer: David Prévot <taffit@debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                help2man,
                pybuild-plugin-pyproject,
@@ -12,7 +13,7 @@
                python3-pytest-mock,
                python3-requests,
                python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/dalibo/check_patroni
 Vcs-Git: https://salsa.debian.org/debian/check-patroni.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 execute_before_dh_installman:
 	mkdir --parent $(CURDIR)/debian/tmp
-	PYTHONPATH=debian/check-patroni/usr/lib/python3.11/dist-packages \
+	PYTHONPATH=debian/check-patroni/usr/lib/$(shell py3versions -d)/dist-packages \
 		help2man \
 		--no-info \
 		--include=$(CURDIR)/debian/check_patroni.1.in \

=== debian/watch ===
version=4
https://github.com/dalibo/check_patroni/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
